Skip to main content

Documentation Index

Fetch the complete documentation index at: https://polynode.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Returns merge events where outcome tokens were converted back into USDC for a market condition.

Request

GET /v3/wallets/{address}/merges

Query parameters

ParameterTypeDefaultDescription
afterintegerStart of time range (Unix timestamp)
beforeintegerEnd of time range
limitinteger100Max 1000
offsetinteger0Pagination offset

Example

curl https://api.polynode.dev/v3/wallets/0xada100874d00e3331d00f2007a9c336a65009718/merges?limit=1
{
  "data": [
    {
      "id": "0x56e84b69492dff41fae8aa932695eec8b90931aa286ce09d9565932d72e4a1f4_0x612",
      "timestamp": "1778482999",
      "condition": "0x649340b2a3e39f7d0de414d6891a14b6e1969293f8fec3ccb481572fd2375e34",
      "amount": "20000000"
    }
  ],
  "rows_returned": 1,
  "has_more": true,
  "elapsed_ms": 2
}

Response fields

FieldTypeDescription
idstringMerge event ID
timestampstringUnix timestamp
conditionstringMarket condition ID
amountstringUSDC amount received (6-decimal)